// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

/*
 * This is a utility class meant to contain a set of static functions performing different utility operation.
 * For details of the utility operation performed by each method, read method comments.<br/>
 *
 *Author - Sanjay"Ironluca"Debnath <a href="mailto:Ironluca@yahoo.com">Ironluca@yahoo.com</a><br/>
 *Last modified - 21/04/2001
 */

package jason.service.crusader;

public class CrusaderUtil{

    /**Specifies the default directory from where servlets shall be served*/
    public static String DEFAULT_SERVLET_SERVICE="servlets";

    /**This directory shall have to remain in the classpath.*/
    public static String DEFAULT_CLASSES_SERVICE="classes";

    /**No service specified condition - no special service directory shall be associated with the file name.*/
    public static String DEFAULT_NULL_SERVICE="";

    /**
     * Added by AB for JASon XML configuration data */
    public static String refDirectory;

    public static void setClassDir( String dir ) {
	refDirectory = dir;
    }

    /**
     *Converts a class name to the underlying file name (.class file) */
    public static String classToFileName(String className, String service){

	String fileSeparator=System.getProperty("file.separator");
	String userDir=System.getProperty("user.dir");

	if ( refDirectory != null ) 
	    userDir = refDirectory;

	String serviceString=fileSeparator+service+fileSeparator;

	if ( refDirectory != null )
	    serviceString = userDir.endsWith( fileSeparator ) ? "" : fileSeparator;

	String extension=".class";

	return ((userDir+serviceString)+className.replace('.',fileSeparator.charAt(0))) + extension;

    }

    /*Getter & Setters for the SERVICE strings to be added later*/


    /**
     *This method converts a resource name into it's corresponding class name
     *    /servlet/package1/package2/MyServlet ---) package1.package2.MyServlet
     */
    public static String resourceToClassName(String resourceName){

	resourceName=resourceName.trim();

	if(resourceName.charAt(0)=='/')resourceName=resourceName.substring(1);//Trim the '/' character if present in the begining
	if(resourceName.startsWith("servlet/")) resourceName=resourceName.substring(1+resourceName.indexOf('/'));//Get rid of "servlet/ " if present
	if(resourceName.indexOf('?') != -1)resourceName=resourceName.substring(0,resourceName.indexOf('?'));

	resourceName=resourceName.replace('/','.');//Replace the '/' s with '.'s to convert it to a fully qualified class name.

	return resourceName;

    }//resourceToClassName closing

}//class closing
