// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


package jason.service.http1_0;

import jason.service.http1_0.framework.*;

import java.util.*;
import java.io.*;

/**
 * Test for special cgi
 *
 * @author "djefer" <djefer@club-internet.fr>
 * @version 1.0
 * @since 1.0
 * @see IntCgi
 */
public class CgiForm implements IntCgi {
  public CgiForm() {}

  private Hashtable procInfo( String req ) {
    Hashtable ht = new Hashtable();
    StringTokenizer st = new StringTokenizer( req, "&" );
    while ( st.hasMoreTokens() ) {
      String s = (String)st.nextToken();
      int i = s.indexOf( "=" );
      if ( i > -1 ) {
        String sName = s.substring( 0, i - 1 );
        String sValue = s.substring( i + 1, s.length() );
        ht.put( sName, sValue );
      }
    }
    return ht;
  }

  private StringBuffer procData( String req ) {
    final File ficTmp = new File( "bilan.tmp" );
    Vector vTmp = new Vector();
    StringBuffer resTmp = new StringBuffer();
    try {
      if ( ficTmp.exists() ) {
		    BufferedReader br = new BufferedReader(
          new InputStreamReader(
            new FileInputStream( ficTmp ) ) );
        String sTmp;
        while ( ( sTmp = br.readLine() ) != null )
          vTmp.addElement( sTmp );
        // Suppression dernier lment
        if ( vTmp.size() > 0 )
          vTmp.removeElementAt( vTmp.size() - 1 );
        br.close();
      };

      if ( vTmp.size() < 1 )
        vTmp.addElement( "<table width = 1>" );

      String sAdd = "<tr>";
      Hashtable ht = procInfo( req );
      for ( Enumeration enum = ht.keys(); enum.hasMoreElements(); ) {
        String s = (String)enum.nextElement();
        String sVal = (String)ht.get( s );
        sAdd += sVal + ( enum.hasMoreElements() ? "<td>" : "" );
      }

      vTmp.addElement( sAdd );
      vTmp.addElement( "</table>" );

      BufferedWriter fileOut = new BufferedWriter(
        new OutputStreamWriter(
          new FileOutputStream( ficTmp ) ) );

      for ( int i = 0; i < vTmp.size(); i++ ) {
        String s = (String)vTmp.elementAt( i );
        fileOut.write( s );
        fileOut.newLine();
        resTmp.append( s );
      }
      fileOut.close();

    } catch( IOException ex ) {
      System.err.println( ex.toString() );
    }
    return resTmp;
  }

  // Rponse  la requte " req "
  public StringBuffer procRequest( StringBuffer req ) {
    StringBuffer sb = new StringBuffer();
    sb.append( "<html>" );
    sb.append( "<head>" );
    sb.append( "<style>" );
    sb.append( "body { background: #000080; color: #FFFFFF}" );
    sb.append( "</style>" );
    sb.append( "</head>" );
    sb.append( "<body>" );
    sb.append( "<H1>Vos rponses</H1>" );
    sb.append( "<div>" );
    sb.append( procData( new String( req ) ) );
    sb.append( "</div>" );
    sb.append( "</body>" );
    sb.append( "</html>" );
    return sb;
  }
}






