// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


package jason.service.http1_0;

import jason.service.http1_0.framework.*;

/**
 * Http Document
 *
 * @author "djefer" <djefer@club-internet.fr>
 * @version 1.0
 * @since 1.0
 * @see IntDocHttp
 */
public class DocHttp1 implements IntDocHttp {
  String mime;
  String path;
  String code;

  StringBuffer header = null;
  StringBuffer doc = null;

  public DocHttp1( String mime, String path, String code, StringBuffer header, StringBuffer doc ) {
    this.mime = mime;
    this.path = path;
    this.code = code;
    this.header = header;
    this.doc = doc;
  }

  public void setCode( String code ) {
    this.code = code;
  }

  public String getCode() { return code; }

  public void setMime( String mime ) {
    this.mime = mime;
  }

  public String getMime() { return mime; }

  public void setDocument( StringBuffer header, StringBuffer doc ) {
    this.header = header;
    this.doc = doc;
  }

  public StringBuffer getDocument() {
    StringBuffer sbRes = new StringBuffer();
    sbRes.append( header );
    sbRes.append( doc );
    return sbRes;
  }

  public void setPath( String path ) {
    this.path = path;
  }

  public String getPath() { return path; }
}


