// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


package jason.service.http1_0;

import java.util.*;

/**
 * Document header parser
 *
 * @author "djefer" <djefer@club-internet.fr>
 * @version 1.0
 * @since 1.0
 */
public class HeaderReq {
  static final String TYPE = "TYPE";
  static final String DOC = "DOC";
  static final String PROT = "PROT";
  static final String VER = "VER";

  Attributes att = new Attributes();

  public HeaderReq( String str ) throws InvalidHeaderException {
    StringTokenizer st = new StringTokenizer( str );
    try {
      att.add( TYPE, st.nextToken() );
      att.add( DOC, st.nextToken() );
      String prot = st.nextToken();
      int i;
      if ( ( i = prot.indexOf( "/" ) ) > 0 ) {
        String t = prot.substring( 0, i );
        String v = prot.substring( i + 1, prot.length() );
        att.add( PROT, t );
        att.add( VER, v );
      } else
        att.add( PROT, prot );
    } catch( NoSuchElementException ex ) {
      throw new InvalidHeaderException( str );
    }
  }

  public String getInfo( String info ) {
    return att.getValue( info );
  }

}


