package test;

import jason.core.*;

/**
 * Here a straightforward class for a minimal usage
 *
 * @author "Alexandre Brillant" <abrillant@wanadoo.fr>
 * @version 1.0
 * @since 1.0
 * @see AbstractService
 */
public class HelloService extends AbstractService {
    /**
     * In this constructor, I specify not to use this service in a Thread
     * So it will be run once only.
     */
    public HelloService() {
	super();
    }

    /**
     * This method will be called by the container */
    public void run() {
	// Show a simple message
	String message = getStringProperty( "message" );
	sendInformationMessage( message );
	System.exit( 1 );
    }

    public ServiceInfo getInfo() { return new ServiceInfo( "A.Brillant", "06/02", "06/02", "" ); }

}




