import java.io.*;

/**
 * <b>Created Sat Jun 15 20:21:47 2002</b>
 * <p>
 * Here an example of service overriding. Here we replace the 
 * default JAson log service by this service that will write all
 * user log in HTML Format. Please don't use this service as
 * a final change for the Log support. This class will not
 * be able to purge the log.
 * </p>
 * @author Alexandre Brillant (abrillant@wanadoo.fr)
 * @version 1.0
 */
public class HTMLLog extends jason.core.service.LogService {
    public HTMLLog() {
	super();   
    }

    // Write messages in HTML
    protected void writeMessages() {
	File f = new File( getLogLocation(), "messages.html" );
	try {
	    RandomAccessFile raf = new RandomAccessFile( f, "rw" );

	    try {
		raf.writeBytes( "<html><body><h1>JASon log test</h1><hr><table border=\"1\">\n" );

		for ( int i = 0; i < messages.size(); i++ ) {

		    raf.writeBytes( "<tr><td>\n" );

		    if ( messages.elementAt( i ) instanceof Exception ) {
			writeException( ( Exception )messages.elementAt( i ), raf );
		    } else {
			writeMessage( "" + messages.elementAt( i ), raf );
		    }

		    raf.writeBytes( "</td></tr>\n" );
		}

		raf.writeBytes( "</table></body></html>" );
	    } finally {
		raf.close();
	    }
	} catch( FileNotFoundException exc ) {
	    exc.printStackTrace();
	} catch( IOException exc ) {
	    exc.printStackTrace();
	}
    }

}

// HTMLLog ends here


