// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


package jason.core;

/**
 * <b>Created Sun Sep 08 21:31:08 2002</b>
 * <p>
 * This is a common builder for service
 * </p>
 * @author Alexandre Brillant
 * @version 1.0
 */
public abstract class AbstractServiceBuilder implements ServiceBuilder {
    private String lastCriteria;

    public AbstractServiceBuilder() {
	super();   
    }

    public ServiceContainer buildService( String criteria ) throws JasonException {
	lastCriteria = criteria;
	if ( criteria == null ) 
	    throw new JasonException( "Invalid builder criteria null" );
	return null;
    }

    public ServiceContainer rebuildService() throws JasonException {
	return buildService( lastCriteria );
    }

    public String getLastCriteria() { return lastCriteria; }
}

// AbstractServiceBuilder ends here
