// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.core;


/**
 * <b>Created Thu May  9 10:02:53 2002</b>
 * <p>
 * This is the context for all <code>Door</code> interface
 * </p>
 * @author Alexandre Brillant (abrillant@wanadoo.fr)
 * @version 1.0
 * @see Door
 */
public class DoorContext {

    public DoorContext( Domain d, String location, String envLocation ) {
	super();   
	this.location = location;
	this.d = d;
	this.envLocation = envLocation;
    }

    public void sendErrorMessage( String content ) { 
	d.sendErrorMessage( content );
    }

    public void sendWarningMessage( String content ) {
	d.sendWarningMessage( content );
    }

    public void sendInformationMessage( String content ) {
	d.sendInformationMessage( content );
    }

    /**
     * @return the location for the `jason.xml' file */
    public String getEnvLocation() { return envLocation; }

    public String getLocation() { return location; }

    public Domain getDomain() { return d; }

    private String location;
    private String envLocation;
    private Domain d;
}

// DoorContext ends here






