// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


package jason.core;

import java.util.Vector;

/**
 * <b>Created Fri Sep 06 21:31:49 2002</b>
 * <p>
 * This is a data model for all service container.
 * This dataModel is available for each Domain.
 * </p>
 * @author Alexandre Brillant (abrillant@wanadoo.fr)
 * @version 1.0
 * @see Door */
public class DoorDataModel extends Vector {

    public DoorDataModel() {
	super();   
    }

    /** @return the door for this index from 0 */
    public Door getDoorAt( int i ) {
	return ( Door )elementAt( i );
    }

    /** Store a door */
    public void addDoor( Door sc ) {
	add( sc );
    }

    /** Remove the service container */
    public void removeDoor( Door sc ) {
	remove( sc );
    }

    /** @return a snapshot for available doors */
    public Door[] getState() {
	Door[] sc = new Door[ size() ];
	copyInto( sc );
	return sc;
    }

    /** @return the number of door */
    public int doorCount() {
	return size();
    }
}

// DoorDataModel ends here











