// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.core;

import java.security.*;

/**
 * <b>Created Tue Jun 11 10:51:59 2002</b>
 * <p>
 * This is a security manager for unauthorizing mainly System.exit
 * </p>
 * @author Alexandre Brillant (abrillant@wanadoo.fr)
 * @version 1.0
 * @see SecurityManager
 */
public class JasonSecurityManager extends SecurityManager {

    public JasonSecurityManager() {
	super();   
    }


    static boolean active = false;;

    // Enabled/Disabled exit method
    static void enabledExit( boolean value ) { 
	active = value;
    }

    /**
     * Check for exit( 0 ) */   
    public void checkExit( int status ) {
	if ( !active ) throw new SecurityException( "Invalid operation in JASon" );
	super.checkExit( status );
    }

    public void checkPermission(Permission perm) {}

}

// JasonSecurityManager ends here
