// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.core;

/**
 * <b>Created Sun Feb 17 19:19:23 2002</b>
 * <p>
 * Interface for managing service message
 * </p>
 * @author Alexandre Brillant (abrillant@wanadoo.fr)
 * @version 1.0 
 * @see AbstractService */
public interface MessageHandler {
    /**
     * Reset the Domain for the service */
    public void setDomain( Domain d );
    /**
     * Send an error message for the service */
    public void sendErrorMessage( String service, String content );
    /**
     * Send a warning message for the service */
    public void sendWarningMessage( String service, String content );
    /**
     * Send an information message for the service */
    public void sendInformationMessage( String service, String content );
    /**
     * Send a custom information message for a type and a service */
    public void sendCustomMessage( String service, int type, String content );
}

// MessageHandler ends here
