// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.core;

/**
 * Server Configuration
 * We don't know what kind of property file we use. It could be
 * a property object or an XML file. This will be needed for compatibility
 * with some Web Server like Apache.
 *
 * @author "djefer" <djefer@club-internet.fr>
 * @version 1.0
 * @since 1.0
 */
public interface ServerConfig {

    public String getProperty( String key );
    public String getProperty( String key, String defaultValue );
    /**
     * @return set of available services */
    public Service[] getServices();


    /**
     * @return the default starting runlevel */
    public Runlevel getDefaultRunlevel();

    /**
     * @return set of available run level */
    public Runlevel[] getRunlevels();

    /**
     * @return JASon current version */
    public String getVersion();

    /**
     * @return a ServiceContext */
    public ServiceContext getServiceContext();
}
