// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


package jason.core;

/**
 * <b>Created Sun Sep 08 21:21:23 2002</b>
 * <p>
 * Here an interface for building <code>Service</code>
 * </p>
 * @author Alexandre Brillant (abrillant@wanadoo.fr)
 * @version 1.0
 * @see ClassServiceBuilder
 * @see File */
public interface ServiceBuilder {

    /** @return a new <code>ServiceContainer</code>. The criteria is a free argument to know an external service
     * description file... 
     * @exception JasonException is the service can't be built */
    public ServiceContainer buildService( String criteria ) throws JasonException;

    /** @return a new <code>ServiceContainer</code> using the previous criteria code */
    public ServiceContainer rebuildService() throws JasonException;

    /** @return the last used criteria */
    public String getLastCriteria();
}

// ServiceBuilder ends here
