// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


package jason.core;

/**
 * <b>Created Sun Sep 01 18:51:32 2002</b>
 * <p>
 * Factory for building a service
 * </p>
 * @author Alexandre Brillant (abrillant@wanadoo.fr)
 * @version 1.0 */
final class ServiceBuilderFactory {
    private ServicesManager sm;
    private Domain d;

    public ServiceBuilderFactory( ServicesManager sm, 
				  Domain d ) {
	super();
	this.sm = sm;
	this.d = d;
    }

    private FileServiceBuilder cBuilder = null;

    public FileServiceBuilder getFileServiceBuilder() {
	if ( cBuilder == null )
	    cBuilder = new FileServiceBuilder( sm, d );
	return cBuilder;
    }
}

// ServiceBuilderFactory ends here
