// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.core;


/**
 * <b>Created Sat Jun 15 18:01:21 2002</b>
 * <p>
 * This classes stores information about the service.
 * </p>
 * @author Alexandre Brillant (abrillant@wanadoo.fr)
 * @version 1.0
 */
public class ServiceInfo {

    /**
     * @param author Author of the service
     * @param creationDate date of creation
     * @param modificationDate date of the last modification
     * @param information Added information */
    public ServiceInfo( String author, String creationDate, String modificationDate, String information ) {
	super();   
	this.author = author;
	this.creationDate = creationDate;
	this.modificationDate = modificationDate;
	this.information = information;
    }

    public String getAuthor() { return author; }
    public String getCreationDate() { return creationDate; }
    public String getModificationDate() { return modificationDate; }
    public String getInformation() { return information; }

    public String toString() {
	return "author : " + author + " / creation : " + creationDate + " / modification : " + modificationDate + " / " + " info : " + information;
    }

    private String author;
    private String creationDate;
    private String modificationDate;
    private String information;
}

// ServiceInfo ends here
