// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.core;

/**
 * <b>Created Sat May  4 21:37:14 2002</b>
 * <p>
 * A service request contains a query that a service must
 * resolve. This request is tied with a service response
 * </p>
 * @author Alexandre Brillant (abrillant@wanadoo.fr)
 * @version 1.0
 * @see Service
 * @see ServiceResponse
 */
public class ServiceRequest {

    /**
     * @param query a query object */
    public ServiceRequest( Object query ) {
	super();
	this.query = query;
    }

    /**
     * @param query a query object 
     * @param type a type for the query */
    public ServiceRequest( Object query, String type ) {
	this( query );
	this.type = type;
    }

    public Object getQuery() { 
	return query;
    }

    public String getType() { return type; }

    private String type;
    private Object query;

    public String toString() {
	if ( query != null )
	    return query.toString();
	else
	    return super.toString();
    }

}

// ServiceRequest ends here
