// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.core;

/**
 * <b>Created Sat May  4 21:39:15 2002</b>
 * <p>
 * ServiceResponse 
 * </p>
 * @author Alexandre Brillant (abrillant@wanadoo.fr)
 * @version 1.0
 * @see Service
 * @see ServiceRequest
 */
public class ServiceResponse {

    /**
     * Specify this value when your service has done a valid request management but needn't to
     * return a response */
    public static ServiceResponse EMPTY_RESPONSE = new ServiceResponse( null );

    /**
     * Return this valid when your service don't know how to process a request */
    public static ServiceResponse UNMANAGED_RESPONSE = null;

    /**
     * @param response a response object */
    public ServiceResponse( Object response ) {
	super();   
	this.response = response;
    }

    /**
     * @param response a response object
     * @param type a type object */
    public ServiceResponse( Object response, String type ) {
	 this( response );
	 this.type = type;
    }

    public Object getResponse() { return response; }
    public String getType() { return type; }

    private String type;
    private Object response;
}

// ServiceResponse ends here
