// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.core.cache;


/**
 * <b>Created Fri May 10 14:36:09 2002</b>
 * <p>
 * Here a simple classe for storing an item in the
 * cache 
 * </p>
 * @author Alexandre Brillant (abrillant@wanadoo.fr)
 * @version 1.0
 */
public class BasicCacheObjectImpl implements CacheObject {

    /**
     * Initialize this cache object with the valid user object */
    public BasicCacheObjectImpl( Object userObject ) {
	super();   
	setObject( userObject );
    }

    private Object userObject;

    /**
     * This is the user object
     * @param userObject the user object */
    public void setObject( Object userObject ) {
	this.userObject = userObject;
    }

    /**
     * @return the user object */
    public Object getObject() {
	return userObject;
    }

    /**
     * @return <code>true</code> is the object need to be updated */
    public boolean isExpired() {
	return false;
    }

    public String toString() {
	if ( userObject != null )
	    return userObject.toString();
	else
	    return super.toString();
    }

}

// BasicCacheObjectImpl ends here
