// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.core.cache;

import java.util.AbstractList;

/**
 * <b>Created Fri May 10 14:03:49 2002</b>
 * <p>
 * This interface is a delegate for the <code>Cache</code> interface. 
 * This is a good way for deciding how to garbage cache element. For instance
 * a strategy could be to remove is needed the older cache item, or the less
 * needed...
 * </p>
 * @author Alexandre Brillant (abrillant@wanadoo.fr)
 * @version 1.0
 */
public interface CacheStrategy {

    /**
     * This method is called by the <code>Cache</code> each time an item is added by
     * the <code>storeObject</code> method 
     * @param cache the cache to garbage
     * @param list is a dataModel for the cache, the tied classed will alter this content. This dataModel contains a set of object key */
    public void garbageCache( Cache cache, AbstractList list );

}

// CacheStrategy ends here
