// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.core.cache;

import java.util.AbstractList;

/**
 * <b>Created Fri May 10 14:11:52 2002</b>
 * <p>
 * Simple strategy that delete the older item of the cache
 * </p>
 * @author Alexandre Brillant (abrillant@wanadoo.fr)
 * @version 1.0
 * @see CacheStrategy */
public class SizeCacheStrategyImpl implements CacheStrategy {
    private int size;

    public SizeCacheStrategyImpl( int size ) {
	super();   
	this.size = size;
    }

    public void garbageCache( Cache cache, AbstractList list ) {
	int _size = list.size();
	if ( _size > 0 && _size >= size ) {
	    cache.removeObject( list.get( 0 ) );
	}
    }

}

// SizeCacheStrategy ends here
