// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.core.log;

import jason.core.*;

/**
 * Empty log implementation for avoiding to test if a log exist.
 * It makes a simple output trace 
 *
 * @author "djefer" <djefer@club-internet.fr>
 * @version 1.0
 * @since 1.0
 * @see Log
 */
public class EmptyLog extends AbstractService implements Log {

    public EmptyLog() {
	super();
	setName( "Log off" );
    }


    public void addInfo( String info ) {
	if ( debug ) System.out.println( info );
    }

    private static boolean debug = true;
}
