// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.core.log;

import jason.core.*;

import java.util.*;
import java.io.*;

/**
 * Log for activites
 *
 * @author "djefer" <djefer@club-internet.fr>
 * @version 1.0
 * @since 1.0
 * @see Thread
 */
public class LogImpl extends AbstractService implements Log {
    static final int baseT;
    static final int wait;

    static {
	baseT = 1000;
	wait = 40 * baseT;
    }

    public LogImpl() {
	setName( "log" );
    }

    public LogImpl( String fileName, int tailleTrace ) {
	this();
	this.fileName = fileName;
	this.taille = tailleTrace;
    }

    // Rafrachissement de la trace
    public void flushTrace() throws IOException {
	BufferedWriter fileOut = new BufferedWriter(
						    new OutputStreamWriter(
									   new FileOutputStream( fileName ) ) );
	for ( Enumeration enum = tampon.elements(); enum.hasMoreElements(); ) {
	    String line = ( String ) enum.nextElement();
	    fileOut.write( line );fileOut.newLine();
	}
	fileOut.flush();
	fileOut.close();
    }

    // Ajout d'un champs info dans la trace
    public void addInfo( String info ) {
	Date date = new Date();
	tampon.addElement( date.toString() + "  " + info );
	if ( tampon.size() > taille )
	    tampon.removeElementAt( 0 );
    }

    public void run() {
	try {
	    for ( ;; ) {
		Thread.sleep( wait );
		flushTrace();
	    }
	} catch( Exception ex ) {
	    System.err.println( ex.toString() );
	}
    }

    public void init( ServerConfig majorConfig, ServiceConfig minorConfig ) {}
    public void restart() {}

    private String fileName;
    private int taille = 100;
    private Vector tampon = new Vector();
}

