// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.core.pool;

/**
 * <b>Created Sat Apr 20 20:11:18 2002</b>
 * <p>
 * Simple Task
 * </p>
 * @author Alexandre Brillant (abrillant@wanadoo.fr)
 * @version 1.0
 * @see jason.core.SocketService
 * @see TaskContext
 * @see Task
 */
public abstract class AbstractTask implements Task {
    public AbstractTask() {
	super();   
    }

    private TaskContext tc;

    public void init( TaskContext tc ) {
	this.tc = tc;
    }

    public void runTask() {
	run();
    }

    /**
     * This method must be override, it will contains the final
     * user code that must be runned in the ThreadCapsule */
    protected abstract void run();

    public TaskContext getTaskContext() { return tc; }

}

// AbstractTask ends here
