// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.core.pool;

import jason.core.ServiceContext;

/**
 * <b>Created Sat Apr 20 19:33:30 2002</b>
 * <p>
 * TaskContext for the <code>init</code> method of
 * the <code>Task</code> interface. 
 * </p>
 * @author Alexandre Brillant (abrillant@wanadoo.fr)
 * @version 1.0
 */
public class TaskContext {
    public TaskContext( ServiceContext sc ) {
	super();
	this.sc = sc;
    }

    public ServiceContext getServiceContext() {
	return sc;
    }

    public void notifyStartTask() {
	getServiceContext().notifyStartTask();
    }

    public void notifyStopTask() {
	getServiceContext().notifyStopTask();
    }

    private ServiceContext sc;
}

// TaskContext ends here
