// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.core.pool;

/*
 * This interface is implementd by the class which is acting as the thread capsule - in this case
 * ThreadCapsule
 *
 * @author Sanjay"Ironluca"Debnath <Ironluca@yahoo.com>
 * @author Alexandre Brillant <abrillant@wanadoo.fr>
 * Last Modified - 9/03/2001
 */
public interface ThreadCapsule {

    public void setDefaultPriority( int defaultPriority );
    public void setKeepAlive(boolean keepAlive);
    public boolean isKeepAlive();
    public Task getTask();
    public boolean hasTask();
    public void setTask( Task task );
    public void setTask( Task task, int priority );
    public void setTaskContext( TaskContext tc );
    public void activateThreadCapsule();
 
}
