// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.core.pool;


/*This class is used for testing the thread pool
*
*Author - Sanjay"Ironluca"Debnath<Ironluca@yahoo.com>
*Last Modified - 13/03/2001
*/

public class ThreadPoolTest{

    public static void main(String args[]) throws Exception{

	long startTime,endTime;

	Class threadClass=Class.forName("TestThread");
	ThreadPool pool=new ThreadPoolImpl(100);

	startTime=System.currentTimeMillis();

	for (int i=0;i<1000;i++){
	    ThreadCapsule tCapsule=pool.getThreadCapsule();
	    tCapsule.activateThreadCapsule();
	}

	endTime=System.currentTimeMillis();
	System.out.println("Total time taken = "+(endTime-startTime));
    }
}

/*
*Test Result
*1) Deadlock was encountered once with pool size of 10
*
*2)With a pool size of 1 NullPointerException was encountered once. This might be because the swapping
*between the pools was not fast enough. The situation was remidied once pool size was increased to
*10 threads.
*
*3) a)At pool size of 10 and loop of 500 time taken is 21000ms
*   b)At pool size of 10 and loop of 1000 time taken is 42000ms
*   c)At pool size of 100 and loop of 500 time taken is 21000ms
*   b)At pool size of 100 and loop of 1000 time taken is 42000ms
*Considering the overheads due to writing to the console etc. the actual speed should be higher
*/
