// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.core.service;

/**
 * <b>Created Sat Jun 15 18:13:19 2002</b>
 * <p>
 * This class is only for inner usage. This is shortcut for
 * service that exists for any service configuration. However, 
 * user can replace when starting this service type by another one.
 * </p>
 * @author Alexandre Brillant (abrillant@wanadoo.fr)
 * @version 1.0
 * @see ThreadableService
 */
class InnerService extends jason.core.ThreadableService {

    public InnerService() {
	super( false );   
    }

    public InnerService( boolean startingStrategy ) {
	super( startingStrategy );
    }

    /**
     * This service type is 'overridable' */
    public boolean isOverride() { return true; }

}

// InnerService ends here
