// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


package jason.core.service;

import jason.core.*;

/**
 * <b>Created Sun Oct  6 18:03:05 2002</b>
 * <p>
 * Here a way for external service to send a request about log
 * </p>
 * @author Alexandre Brillant (abrillant@wanadoo.fr)
 * @version 1.0
 * @see ServiceRequest
 * @see LogService
 */
public class LogServiceRequest extends ServiceRequest {
    /** Get all log */
    public final static String GET = "get";

    private int size;

    public LogServiceRequest() {
	super( GET );
	this.size = 100;
    }

    /** Update the size of the log content. By default the value is '100' lines */
    public void setSize( int size ) { this.size = size; }
    /** @return the size of the log content */
    public int getSize() { return size; }
}

// LogServiceRequest ends here
