// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.framework.protocol.http;

import java.io.InputStream;
import java.util.Enumeration;

/**
 * <b>Created Wed Jan  2 17:54:03 2002</b>
 * <p>
 * Interface for Parsing HTTP protocol request
 * </p>
 * @author Alexandre Brillant (abrillant@wanadoo.fr)
 * @version 1.0
 * @see HttpParserImpl
 */
public interface HttpRequestParser {
    public String getProtocol();
    public String getMethod();
    public String getRequestURI();
    public String getRequestURIQuery();
    public String getHeader( String header );
    public Enumeration getHeaderNames();
    public String getParameter( String parameter );
    public Enumeration getParameterNames();
    public void parse( InputStream stream ) throws HttpParsingException;
    public byte[] getMessageBody();
}

// HttpParser ends here
