// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.framework.protocol.http;

import java.io.*;

/**
 * <b>Created Thu Jan  3 13:58:05 2002</b>
 * <p>
 * Interface for building an HTTP response
 * </p>
 * @author Alexandre Brillant (abrillant@wanadoo.fr)
 * @version 1.0
 * @see HttpResponseBuilderImpl
 */
public interface HttpResponseBuilder {
    public void setMessageHeader( String field, String value );
    public void setContentType( String type );
    public void setContent( byte[] content );
    public void setStatusCode( int statusCode );
    public void setServer( String server );
    public void buildResponse( OutputStream output ) throws IOException;
}

// HttpResponseBuilder ends here
