// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.framework.protocol.http;

/**
 * Lise of STATUS CODE from the RFC 2068
 * @author Alexandre Brillant */
public interface StatusCode {
    // Continue    
    public static int STATUS_100 = 100;
    // Switching Protocols
    public static int STATUS_101 = 101; 
    // OK
    public static int STATUS_200 = 200;
    //  Created
    public static int STATUS_201 = 201;
    //  Accepted
    public static int STATUS_202 = 202;
    // Non-Authoritative Information
    public static int STATUS_203 = 203; 
    // No Content
    public static int STATUS_204 = 204; 
    // Reset Content
    public static int STATUS_205 = 205; 
    // Partial Content
    public static int STATUS_206 = 206; 
    // Multiple Choices
    public static int STATUS_300 = 300; 
    // Moved Permanently
    public static int STATUS_301 = 301; 
    // Moved Temporarily
    public static int STATUS_302 = 302; 
    // See Other
    public static int STATUS_303 = 303; 
    // Not Modified
    public static int STATUS_304 = 304; 
    // Use Proxy
    public static int STATUS_305 = 305; 
    // Bad Request
    public static int STATUS_400 = 400; 
    // Unauthorized
    public static int STATUS_401 = 401; 
    // Payment Required
    public static int STATUS_402 = 402; 
    // Forbidden
    public static int STATUS_403 = 403; 
    // Not Found
    public static int STATUS_404 = 404; 
    // Method Not Allowed
    public static int STATUS_405 = 405; 
    // Not Acceptable
    public static int STATUS_406 = 406; 
    // Proxy Authentication Required
    public static int STATUS_407 = 407; 
    // Request Time-out
    public static int STATUS_408 = 408; 
    // Conflict
    public static int STATUS_409 = 409; 
    // Gone
    public static int STATUS_410 = 410; 
    // Length Required
    public static int STATUS_411 = 411; 
    // Precondition Failed
    public static int STATUS_412 = 412; 
    // Request Entity Too Large
    public static int STATUS_413 = 413; 
    // Request-URI Too Large
    public static int STATUS_414 = 414; 
    // Unsupported Media Type
    public static int STATUS_415 = 415; 
    // Internal Server Error
    public static int STATUS_500 = 500; 
    // Not Implemented
    public static int STATUS_501 = 501; 
    // Bad Gateway
    public static int STATUS_502 = 502; 
    // Service Unavailable
    public static int STATUS_503 = 503; 
    // Gateway Time-out
    public static int STATUS_504 = 504; 
    // HTTP Version not supported
    public static int STATUS_505 = 505; 
    
}
