// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


package jason.service.admin;

/**
 * This is an interface for notifying a client response. The cycle is : 
 * - once 'notifyInit'
 * - any number of 'notifyResponse'
 * - once 'notifyEnd'
 *
 * @author Alexandre Brillant <abrillant@wanadoo.fr>
 * @version 1.0
 * @since 1.0
 */
public interface ClientResponseListener {

    /** Notify once before a set of reponse */
    public void notifyInit();
    /** Notify once the end of the response */
    public void notifyEnd();
    /** Send a response for a client request */
    public void notifyResponse( String response );
}
