// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


package jason.service.admin;

import java.awt.*;
import javax.swing.*;

/**
 * <b>Created Fri Sep 27 21:35:45 2002</b>
 * <p>
 * Dialog for showing a progressing work.
 * </p>
 * @author Alexandre Brillant <abrillant@wanadoo.fr>
 * @version 1.0
 * @see JDialog
 */
public class ProgressBarDialog extends JDialog {
    private JProgressBar cProgressBar;

    public ProgressBarDialog() {
	super();   
	initUI();
	pack();
	setTitle( "Upload..." );
	setLocation( ( Toolkit.getDefaultToolkit().getScreenSize().width - getWidth() ) / 2, 
		     ( Toolkit.getDefaultToolkit().getScreenSize().height - getHeight() ) / 2 );
    }

    public void setMaxValue( int max ) {
	cProgressBar.setMaximum( max );
    }

    public void setCurrentValue( int value ) {
	cProgressBar.setValue( value );
    }

    private void initUI() {
	cProgressBar = new JProgressBar();
	getContentPane().add( new JLabel( "Upload..." ), BorderLayout.NORTH );
	getContentPane().add( cProgressBar, BorderLayout.CENTER );
    }

}

// ProgressBarDialog ends here
