// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


package jason.service.admin;

/**
 * <b>Created Fri Sep 27 21:28:00 2002</b>
 * <p>
 * Here a wrapper for the client for sending a command in a separated thread
 * </p>
 * @author Alexandre Brillant <abrillant@wanadoo.fr>
 * @version 1.0
 * @see AbstractClient */
public class ThreadableClient implements Runnable {
    private Client cClient;

    public ThreadableClient( Client client ) {
	super();
	cClient = client;
    }

    public void sendCommand() {
	Thread mThread = new Thread( this );
	mThread.start();
    }

    public void run() {
	try {
	    cClient.sendCommand();
	} catch( Throwable thw ) {
	    thw.printStackTrace();
	}
    }

}

// ThreadableClient ends here


