// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.service.pool;

/**This is the interface implemented by the class acting as the active pool of threads - in this case
*{@link jason.service.pool.ActivePool ActivePool}.<br/>
*
*Author - Sanjay"Ironluca"Debnath <a href="mailto:Ironluca@yahoo.com">Ironluca@yahoo.com</a><br/>
*Last Modified - 9/03/2001
*/

public interface ActivePoolInt{

/**For features of this method consult the {@link jason.service.pool.ActivePool#remove(Object) ActivePool} class which implements this interface.*/
        public boolean remove(Object threadCapsuleObject);

/**For features of this method consult the {@link jason.service.pool.ActivePool#add(Object) ActivePool} class which implements this interface.*/
        public boolean add(Object threadCapsuleObject);

/**For features of this method consult the {@link jason.service.pool.ActivePool#getPresentSize() ActivePool} class which implements this interface.*/
        public int getPresentSize();

/**For features of this method consult the {@link jason.service.pool.ActivePool#getThreadClass() ActivePool} class which implements this interface.*/
        public Class getThreadClass();

}
