// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.service.pool;

/**This interface is implemented by the class which acts as the passive pool for threads - in this
*case {@link jason.service.pool.PassivePool PassivePool}.<br/>
*
*Author - Sanjay"Ironluca"Debnath <a href="mailto:Ironluca@yahoo.com">Ironluca@yahoo.com</a><br/>
*Last Modified - 9/03/2001
*/


public interface PassivePoolInt{

/**For features of this method consult the {@link jason.service.pool.PassivePool#getPresentSize() PassivePool} class which implements this interface.*/
        public int getPresentSize();

/**For features of this method consult the {@link jason.service.pool.PassivePool#pop() PassivePool} class which implements this interface.*/
        public Object pop();

/**For features of this method consult the {@link jason.service.pool.PassivePool#push(Object) PassivePool} class which implements this interface.*/
        public Object push(Object object);

/**For features of this method consult the {@link jason.service.pool.PassivePool#getThreadClass() PassivePool} class which implements this interface.*/
        public Class getThreadClass();

/**For features of this method consult the {@link jason.service.pool.PassivePool#setSize(int) PassivePool} class which implements this interface.*/
        public void setSize(int newSize);

}//interface closing
