// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.service.pool;

/**This interface is implementd by the class which is acting as the thread capsule - in this case
*{@link jason.service.pool.ThreadCapsule ThreadCapsule}.<br/>
*
*Author - Sanjay"Ironluca"Debnath <a href="mailto:Ironluca@yahoo.com">Ironluca@yahoo.com</a><br/>
*Last Modified - 9/03/2001
*/

public interface ThreadCapsuleInt{

/**For features of this method consult the {@link jason.service.pool.ThreadCapsule#setActivePool(ActivePoolInt) ThreadCapsule} class which implements this interface.*/
        public void setActivePool(ActivePoolInt activePool);

/**For features of this method consult the {@link jason.service.pool.ThreadCapsule#getActivePool() ThreadCapsule} class which implements this interface.*/
        public ActivePoolInt getActivePool();

/**For features of this method consult the {@link jason.service.pool.ThreadCapsule#setPassivePool(PassivePoolInt) ThreadCapsule} class which implements this interface.*/
        public void setPassivePool(PassivePoolInt passivePool);

/**For features of this method consult the {@link jason.service.pool.ThreadCapsule#getPassivePool() ThreadCapsule} class which implements this interface.*/
        public PassivePoolInt getPassivePool();

/**For features of this method consult the {@link jason.service.pool.ThreadCapsule#setState(boolean) ThreadCapsule} class which implements this interface.*/
        public void setState(boolean state);

/**For features of this method consult the {@link jason.service.pool.ThreadCapsule#getState() ThreadCapsule} class which implements this interface.*/
        public boolean getState();

/**For features of this method consult the {@link jason.service.pool.ThreadCapsule#setKeepAlive(boolean) ThreadCapsule} class which implements this interface.*/
public void setKeepAlive(boolean keepAlive);

/**For features of this method consult the {@link jason.service.pool.ThreadCapsule#getKeepAlive() ThreadCapsule} class which implements this interface.*/
        public boolean getKeepAlive();

/**For features of this method consult the {@link jason.service.pool.ThreadCapsule#getThreadClass() ThreadCapsule} class which implements this interface.*/
        public Class getThreadClass();

/**For features of this method consult the {@link jason.service.pool.ThreadCapsule#getCoreThread() ThreadCapsule} class which implements this interface.*/
        public Runnable getCoreThread();

/**For features of this method consult the {@link jason.service.pool.ThreadCapsule#activateThreadCapsule() ThreadCapsule} class which implements this interface.*/
        public void activateThreadCapsule();


}//interface closing
