// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.service.pool;

/**This interface is implemented by the class which shall be the main engine for thread pool
*in this case {@link jason.service.pool.ThreadPool ThreadPool}.<br/>
*
*Author - Sanjay"Ironluca"Debnath <a href="mailto:Ironluca@yahoo.com">Ironluca@yahoo.com</a><br/>
*Last Modified - 9/03/2001
*/

public interface ThreadPoolInt{


/**For features of this method consult the {@link jason.service.pool.ThreadPool#getThreadClass() ThreadPool} class which implements this interface.*/
        public Class getThreadClass();

/**For features of this method consult the {@link jason.service.pool.ThreadPool#getTotalPoolSize() ThreadPool} class which implements this interface.*/
        public int getTotalPoolSize();

/**For features of this method consult the {@link jason.service.pool.ThreadPool#setTotalPoolSize(int) ThreadPool} class which implements this interface.*/
        public void setTotalPoolSize(int totalPoolSize) throws ClientsUnderServiceException, IllegalClassException, IllegalAccessException, InstantiationException;

/**For features of this method consult the {@link jason.service.pool.ThreadPool#getActivePoolSize() ThreadPool} class which implements this interface.*/
        public int getActivePoolSize();

/**For features of this method consult the {@link jason.service.pool.ThreadPool#getPassivePoolSize() ThreadPool} class which implements this interface.*/
        public int getPassivePoolSize();

/**For features of this method consult the {@link jason.service.pool.ThreadPool#isPoolLocked() ThreadPool} class which implements this interface.*/
        public boolean isPoolLocked();

/**For features of this method consult the {@link jason.service.pool.ThreadPool#setPoolLocked(boolean) ThreadPool} class which implements this interface.*/
        public void setPoolLocked(boolean lockingState);

/**For features of this method consult the {@link jason.service.pool.ThreadPool#getThreadCapsule() ThreadPool} class which implements this interface.*/
        public ThreadCapsuleInt getThreadCapsule();

/**For features of this method consult the {@link jason.service.pool.ThreadPool#setThreadClass(Class,int) ThreadPool} class which implements this interface.*/
        public void setThreadClass(Class threadClass, int totalPoolSize)throws IllegalClassException, IllegalAccessException, InstantiationException;

}
