// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



/*This class is responsible for generating the .class file for the objects to be stored in the
*pool. This is achieved by parsing the template file(.tplt) and substituting information 
*wherever required to generate the .java file. Then the .java file is compiled and the 
*.class file is obtained.
*
*Author - Sanjay"Ironluca"Debnath<Ironluca@yahoo.com>
*Last Modified - 23/05/2001
*/


package jason.service.pool.objectpool;

import java.io.*;

public class ClassGenerator{

        private boolean encountered=false;

        public Class generateClass(String className){

                Class objectClass=null;
                FileWriter flw=null;
                FileReader flr=null;
                StringBuffer stringBuffer=new StringBuffer();

                String javaFileName=System.getProperty("user.dir")+System.getProperty("file.separator")+className.replace('.',System.getProperty("file.separator").charAt(0))+"_generated.java";
                String generatedClassName=className.substring(className.lastIndexOf('.')+1)+"_generated";

                try{

                        System.out.println(javaFileName+" "+generatedClassName);
                        flw=new FileWriter(javaFileName);

                        flr=new FileReader(System.getProperty("user.dir")+System.getProperty("file.separator")+"jason.service."+System.getProperty("file.separator")+"pool"+System.getProperty("file.separator")+"objectpool"+System.getProperty("file.separator")+"generatedTemplate.tplt");


                        while(flr.ready()){

                                char c=(char)(flr.read());
                                if(c=='~'){

                                        stringBuffer.delete(0,stringBuffer.length());
                                        c='0';//get rid of the '~' - so that while may proceed

                                        while(c != '~'){

                                                c=(char)(flr.read());
                                                if(c=='~')continue;
                                                stringBuffer.append(c);

                                        }//while closing

                                        String tempIndicator=stringBuffer.toString();
                                        System.out.println(tempIndicator);

                                        if(tempIndicator.equals("package"))flw.write(className);
                                        if(tempIndicator.equals("className"))flw.write(generatedClassName);
                                        if(tempIndicator.equals("superClassName"))flw.write(className);

                                }//if closing

                                else flw.write(c);

                        }//while closing

                        flw.flush();

                }catch(IOException ioe){System.out.println("IOException encountered");return objectClass;}

                try{

                        Runtime r=Runtime.getRuntime();
                        String [] command=new String[2];
                        command[0]="javac";
                        command[1]=javaFileName;
                        Process p=r.exec(command);

                        System.out.println("Checkpoint1");
                        p.waitFor();
                        System.out.println("Checkpoint2");

                        InputStream is=p.getInputStream();
                        int available=is.available();
                        for(int i=0;i<available;i++)System.out.print((char)(is.read()));
                        System.out.println("Checkpoint3");

                }catch(IOException ioe){System.out.println("IOException Encountered by Runtime");return objectClass;}
                  catch(InterruptedException ie){}

                try{

                        System.out.println("Checkpoint4");
                        objectClass=Class.forName(generatedClassName);
                        System.out.println("Checkpoint5");

                }catch(ClassNotFoundException cnfe){System.out.println("Class not found");cnfe.printStackTrace();return objectClass;}

                System.out.println("Checkpoint6");
                return objectClass;


        }//generateClass closing

}//class closing
