// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.




/*This class is a pure data structure with some extended functionalities. This class shall represent
* the container in which the parameters passed by the client shall be stored. The requirement of 
* this class arose because the client may pass any number of values with a parameter name. This class
* takes a name value pair and searches the Map wether a key is mapped. If the key exists, a Vector
* is used to store the values. This class contains methods to return the values mapped as a single
* value or an array of String.
*
* Author - Sanjay"Ironluca"Debnath<Ironluca@yahoo.com>
* Last-Modified - 13/04/2001
*
*/

package jason.service.requestparser.datahandler;


import java.util.*;

public class ParameterContainer extends HashMap{

Vector tempParamValues;

/*
*This overloaded method is responsible to find out wether the key is already mapped to the Map
*or not. If the key is mapped - the next stage is to test wether the value is a simple String or a
*Vector. If the value is a vector then the new value is added to the vector. If the value is a String
*a new Vector of size 5 is created and both the old as well as the new value is added to the new
*Vector. The vector is then added to the Map.
*/
        public Object put(Object key, Object value){

                Object obj=null;

                if(this.containsKey(key)){

                        obj=this.get(key);

                        if(obj instanceof java.util.Vector)((Vector)obj).addElement(value);
                        else if(obj instanceof java.lang.String){

                                tempParamValues=new Vector(5);
                                tempParamValues.add(obj);
                                tempParamValues.add(value);

                                super.put(key, tempParamValues);

                        }//else-if closing


                }//if closing
                else super.put(key, value);

                return obj;

        }//put closing


/*
*This over loaded method returns the value(s) associated with a key as either a String, in case of
*simple mapping or an array of String, in case of compound mapping.
*/
        public Object get(Object key){

                Object obj=null;

                if(this.containsKey(key)){

                        obj=super.get(key);

                        if(obj instanceof java.util.Vector){

                                Object [] objArr=((Vector)obj).toArray();
                                String [] stringArr=new String[objArr.length];

                                for(int i=0;i<stringArr.length;i++)stringArr[i]=(String)objArr[i];

                                 obj=stringArr;

                        }//if closing


                }//if closing

                return obj;

        }//get closing


}
