// Copyright (c) 2002 Alexandre Brillant
//
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



package jason.servlets;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 * Example of a straightforward servlet
 * Note that you need the <em>servlet.jar</em> file for
 * working. JASon provides a servlet implementation not the
 * servlet interface in the javax.servlet package.
 *
 * @author "Alexandre Brillant" <djefer@club-internet.fr>
 * @version 1.0
 * @since 1.0
 * @see HttpServlet
 */
public class ServletTest extends HttpServlet {

    public void doGet( HttpServletRequest request, HttpServletResponse response ) {
	response.setContentType( "text/html" );
	try {
                PrintWriter writer=response.getWriter();
	        writer.println( "<html><body>Servlet Activated at :" + (new Date()).toString() + "</body></html>" );
                writer.flush();//flushing was added - Ironluca, otherwise the bytes were getting stuck!!!
	} catch( IOException exc ) {}
    }

}
